Subject: bug#42248: 27.0.91; With enchant-2.2.8 from Guix, Flyspell errors out or gives lots of false positives

From: Stefan Kangas <[email-masked]>
Date: Thu, 27 Aug 2020 10:30:00 -0700

Jorge P. de Morais Neto <[email-masked]> writes:

> However, both ispell-buffer and Flyspell still misreport "doesn't".

I am using Hunspell and it misrepresents "doesn't" as a typo here, too.

Maybe it's not specific to enchant?

> "en_US" entry in ispell-dictionary-alist specifies "[0123456789]" for
> OTHERCHARS.  When I change it to "[0123456789']", Flyspell no longer
> misreports "doesn't", but ispell-buffer still does.
>
> Interestingly, the CLI tool enchant-2 misreports "doesn't", but Gedit,
> which very probably uses Enchant, correctly accepts "doesn't and four
> other contractions I tested.  It seems Gedit calls the enchant library
> in a different way than Enchant's own command-line tool.